Update bank account
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"institution_name": "<string>",
"institution_routing_number": "<string>",
"account_number": "<string>",
"account_title": "<string>",
"current_balance": 123,
"available_balance": 123,
"currency": "<string>",
"interest_rate": 123,
"maturity_date": "2023-12-25",
"opened_date": "2023-12-25",
"closed_date": "2023-12-25",
"branch_name": "<string>",
"branch_address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"branch_phone": "<string>",
"online_access": true,
"has_overdraft_protection": true,
"is_estate_account": true,
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}"
payload = {
"institution_name": "<string>",
"institution_routing_number": "<string>",
"account_number": "<string>",
"account_title": "<string>",
"current_balance": 123,
"available_balance": 123,
"currency": "<string>",
"interest_rate": 123,
"maturity_date": "2023-12-25",
"opened_date": "2023-12-25",
"closed_date": "2023-12-25",
"branch_name": "<string>",
"branch_address": {
"address1": "123 Main Street",
"address2": None,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"branch_phone": "<string>",
"online_access": True,
"has_overdraft_protection": True,
"is_estate_account": True,
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
institution_name: '<string>',
institution_routing_number: '<string>',
account_number: '<string>',
account_title: '<string>',
current_balance: 123,
available_balance: 123,
currency: '<string>',
interest_rate: 123,
maturity_date: '2023-12-25',
opened_date: '2023-12-25',
closed_date: '2023-12-25',
branch_name: '<string>',
branch_address: {
address1: '123 Main Street',
address2: null,
city: 'Salt Lake City',
state: 'UT',
zip: '84101'
},
branch_phone: '<string>',
online_access: true,
has_overdraft_protection: true,
is_estate_account: true,
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K6BA01AJ9T66HRYE78AN7PQR",
"institution_name": "Chase Bank",
"institution_routing_number": "021000021",
"account_type": "checking",
"account_number": "***5678",
"account_title": "John Johnson Living Trust Checking",
"ownership_type": "individual",
"status": "open",
"current_balance": 15230.5,
"available_balance": 14980.25,
"currency": "USD",
"interest_rate": 4.25,
"maturity_date": "2026-06-15",
"opened_date": "2010-03-20",
"closed_date": "2023-12-25",
"branch_name": "Springfield Main Branch",
"branch_address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"branch_phone": "+11112223333",
"online_access": true,
"has_overdraft_protection": false,
"is_estate_account": false,
"closure_method": null,
"notes": "Need to visit branch with Letters Testamentary",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Bank Accounts
Update bank account
Partially update a bank account.
PATCH
/
cases
/
{case_id}
/
bank-accounts
/
{account_id}
Update bank account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Bank account identifier.
Body
application/json
Available options:
checking, savings, cd, money_market, hsa, trust_account, estate_account, joint_account Full account number.
Available options:
individual, joint_tenants_wros, tenants_in_common, pod_payable_on_death, tod_transfer_on_death, trust, estate Available options:
open, closed, frozen, dormant, pending_closure, restricted Show child attributes
Show child attributes
Available options:
transfer_to_estate, check_mailed, transfer_to_beneficiary, pending Response
Bank account updated.
Show child attributes
Show child attributes
⌘I

